<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="DLATCH">
  <refnamediv>
    <refname>DLATCH</refname>
    <refpurpose>DLATCH Bascule D</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/DLATCH_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contenu_DLATCH">
    <title>Contenu</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="DLATCH">DLATCH Bascule D</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_DLATCH">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_DLATCH">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Propriétéspardéfaut_DLATCH">Propriétés par défaut</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondinterface_DLATCH">Fonction d'interface</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="DLATCH">Contenu du super-bloc compilé</link>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Voiraussi_DLATCH">Voir aussi</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Auteurs_DLATCH">Auteurs</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_DLATCH">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Integer_pal">Integer - Palette Integer</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_DLATCH">
    <title>Description</title>
    <para>
This block outputs the input state when the input gate is high.
The input is D the enable is C. Q and !Q are the outputs of 
this block. This block is almostly used with digital number, 
the input data type is int8.
</para>
    <para>
The truth table of this block is
</para>
    <para>
</para>
    <informaltable border="1" cellpadding="3">
      <tr>
        <td align="center">C</td>
        <td align="center">D</td>
        <td align="center">Q</td>
        <td align="center">!Q</td>
      </tr>
      <tr>
        <td align="center">0</td>
        <td align="center">0</td>
        <td align="center">0</td>
        <td align="center">1</td>
      </tr>
      <tr>
        <td align="center">0</td>
        <td align="center">1</td>
        <td align="center">0</td>
        <td align="center">1</td>
      </tr>
      <tr>
        <td align="center">1</td>
        <td align="center">0</td>
        <td align="center">0</td>
        <td align="center">1</td>
      </tr>
      <tr>
        <td align="center">1</td>
        <td align="center">1</td>
        <td align="center">1</td>
        <td align="center">0</td>
      </tr>
    </informaltable>
  </refsection>
  <refsection id="Propriétéspardéfaut_DLATCH">
    <title>Propriétés par défaut</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">toujours actif:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">détection de passage à zéro:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">entrée régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [1,1] / type 5</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 2 : taille [1,1] / type -1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">sorties régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [1,1] / type 5</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 2 : taille [1,1] / type 5</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des entrées évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des sorties évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état continu:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état discret:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état objet:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">nom de la fonction de calcul:</emphasis>
          <emphasis role="italic">csuper</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondinterface_DLATCH">
    <title>Fonction d'interface</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/IntegerOp/DLATCH.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Contenudusuperbloccompilé_DLATCH">
    <title>Contenu du super-bloc compilé</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/DLATCH_img2_fr.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Voiraussi_DLATCH">
    <title>Voir aussi</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="DFLIPFLOP">DFLIPFLOP - DFLIPFLOP Bascule D (Bloc Scicos)</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="SRFLIPFLOP">SRFLIPFLOP - SRFLIPFLOP Bascule RS (Bloc Scicos)</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="JKFLIPFLOP">JKFLIPFLOP - JKFLIPFLOP Bascule JK (Bloc Scicos)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Auteurs_DLATCH">
    <title>Auteurs</title>
    <para><emphasis role="bold">Fady NASSIF</emphasis> - INRIA</para>
  </refsection>
</refentry>
